.stop-scrolling {
    height: 100%;
    overflow: hidden;
}

body {
    color: black;
    background-color: rgb(172, 172, 172);
}

table.body {
    background-color: rgb(91, 91, 91);
    width: 100%;
    height: 100%;
    text-align: left;
    margin-left: auto;
    margin-right: auto;
    padding: 10px;
    border: 1px solid black;
    border-spacing: 2px;
}

table.main {
    background-color: rgb(255, 220, 171);
    width: 100%;
    height: 100%;
    text-align: left;
    margin-left: auto;
    margin-right: auto;
    padding: 10px;
    border: 0px solid black;
    border-spacing: 2px;
}

td.logo {
    text-align: center;
}

td.title {
    text-align: center;
    vertical-align: middle;
}

img.logo_idx_log {
    border: 1px;
    width: 200px;
}

img.logo_idx_vtr {
    border: 1px solid;
    width: 750px;
}

img.logo_idx_sqr {
    border: 2px;
    width: 150px;
}

img.logo_idx_rct {
    border: 2px;
    width: 300px;
}

table.section {
    text-align: left;
    padding: 2px;
}

td.legend {
    vertical-align: middle;
    padding: 5px;
}

td.twistyPuzzle {
    text-align: center;
    vertical-align: top;
    padding: 5px;
}

td.topSpin {
    text-align: center;
    vertical-align: top;
    padding: 5px;
}

p.sequencePanel, p.TSsequencePanel {
    background-color: rgb(240, 240, 240);
    font-family: 'Courier New';
    font-weight: bold;
    translate: no;
}

.btn_root_menu {
  display: inline-block;
  padding: 12px 20px;
  background-color: #A00080;
  color: white;
  text-decoration: none;
  border-radius: 6px;
  font-weight: bold;
  font-size: 1.2em;
}

.btn_root_tests,.btn_root_externes {
  display: inline-block;
  padding: 6px 10px;
  background-color: #007050;
  color: white;
  text-decoration: none;
  border-radius: 6px;
  font-weight: bold;
  font-size: 1.2em;
}

.btn_root_images,.btn_root_photos {
  display: inline-block;
  padding: 2px 2px;
  color: black;
  text-decoration: none;
  font-weight: bold;
  font-size: 1.2em;
  text-align: center;
  border: 1px solid;
}

.btn_root_tests:hover,.btn_root_externes:hover {
  background-color: #004030;
}

.btn_root_menu:hover {
  background-color: #700060;
}

.btn_main_menu,.btn_tests_menu {
  display: inline-block;
  padding: 9px 15px;
  background-color: #0080ff;
  color: white;
  text-decoration: none;
  border-radius: 6px;
  font-weight: bold;
  font-size: 1.2em;
}

.btn_main_menu:hover,.btn_tests_menu:hover {
  background-color: #0060b0;
}

#lang-buttons {
    margin: 10px 0;
}

button {
    padding: 6px 12px;
    margin-right: 5px;
    cursor: pointer;
}

@keyframes shake {
    0% { transform: translateX(  0px); }
   12% { transform: translateX(- 5px); }
   25% { transform: translateX(-10px); }
   38% { transform: translateX(- 5px); }
   50% { transform: translateX(  0px); }
   62% { transform: translateX(  5px); }
   78% { transform: translateX( 10px); }
   88% { transform: translateX(  5px); }
  100% { transform: translateX(  0px); }
}

.shakecss {
  animation: shake 0.5s;
}
